<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>Comparing OSM data and Brussels local government data - Marc Ducobu</title>

		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/black.css">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/zenburn.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>
	</head>
	<body>
		<div class="reveal">
			<div class="slides">
                <section data-markdown>
                    # Comparing OSM data and Brussels local government data

                    ## SOTM BXL 2016 - Marc Ducobu
                </section>

                <section data-markdown>
                    ![logo champs-libres](img/CL_LOGO.png)

                    marc@champs-libres.coop
                </section>

                <section data-markdown>
                    ![logo OSGeo](img/logo_osgeo.png)

                    * OSM : the open data !
                    * OSGeo : the open tools !
                </section>

                <section data-markdown>
                    ## Local government data : UrbIS

                    ![logo UrbIS](img/urbis.jpeg)
                </section>

                <section data-markdown>
                    ## Local government data : Licence

                    ![screenshot of the UrbIS Licence](img/licence.png)

                    http://cirb.brussels/fr/nos-solutions/urbis-solutions/licence-urbis-open-data
                </section>

                <section data-markdown>
                    ## 2013 : Import of urbis Topo in OSM

                    Done with the help of Brice Marron (eMerzh)

                    http://osm.bmaron.net/urbis/

                    .SHP > .OSM (by brice) > JOSM
                </section>


                <section>
                    <code data-trim data-noescape>
                        <mark>ref:urbis</mark>
                    </code>

                    <img alt="Screenshot with ref-urbis tag" data-src="img/ref-urbis.png">
                </section>

                <section>
                    <h2>Some statistics (may 2015)</h2>

                    <table>
                        <tr>
                            <td>Saint-Gilles - Sint-Gillis</td>
                            <td>97.58%</td>
                        </tr>
                        <tr>
                            <td>Forest - Vorst</td>
                            <td>98.22%</td>
                        </tr>
                        <tr>
                            <td>Ville de Bruxelles - Stad Brussel</td>
                            <td>98.31%</td>
                        </tr>
                        <tr>
                            <td>Ixelles - Elsene</td>
                            <td>98.62%</td>
                        </tr>
                        <tr>
                            <td>Schaerbeek - Schaarbeek</td>
                            <td>98.66%</td>
                        </tr>
                        <tr>
                            <td>Anderlecht</td>
                            <td>99.31%</td>
                        </tr>
                        <tr>
                            <td>Etterbeek</td>
                            <td>99.62%</td>
                        </tr>
                        <tr>
                            <td>Molenbeek-Saint-Jean - Sint-Jans-Molenbeek</td>
                            <td>99.87%</td>
                        </tr>
                    </table>

                    Checking the tag "ref:UrbIS"<br>

                    <a href="http://tinyurl.com/stats-osm-urbis">http://tinyurl.com/stats-osm-urbis</a>
                </section>

                <section data-markdown>
                    ## Checking the tag "ref:UrbIS" but...

                    * what about new buildings without ref UrbIS ?
                    * what about missing tags ?
                    * ...
                </section>

                <section data-markdown>
                    ## UrbIS id can change !!!

                    New id : "inspire_id"

                    ![](img/inspire_id_zoom.png)
                </section>

                <section data-markdown>
                    ## What about comparing geometry ?

                    ![](img/comparing-geometry-osm-urbis.png)
                </section>

                <section data-markdown>
                    ## Advantages

                    * Comparison possible even if "ref:UrbIs" is missing
                    * detect difference between geometry

                    ![](img/geometry-diff.png)
                </section>


                <section data-markdown>
                    ## The method

                    ![](img/the-method.png)
                </section>


                <section data-markdown>
                    ## OSM Buildings > Postgis polygons

                    Not so easy !

                    Some ideas : https://github.com/tyndare/osmose-backend/blob/master/osmosis/WaysCreatePolygon.sql
                </section>


                <section data-markdown>
                    ## Polygons in OSM (way + building tag)

                    ![](img/way-building-yes.png)

                    http://www.openstreetmap.org/way/13494623
                </section>


                <section data-markdown>
                    ## Polygons in OSM (relation + building tag)

                    ![](img/relation-building-yes.png)

                    http://www.openstreetmap.org/relation/566
                </section>

                <section data-markdown>
                    ## Polygons in OSM (relation having building inside)

                    ![](img/relation-without-building-tag.png)

                    http://www.openstreetmap.org/relation/1706567
                </section>

                <section data-markdown>
                    ## Island in polygon (only one in Brussels)

                    ![](img/building-island.png)

                    http://www.openstreetmap.org/relation/3757283
                </section>

                <section data-markdown>
                    ## Polygons to PostGIS

                    * must be valid geometry
                </section>

                <section data-markdown>
                    ## UrbIS to PostGIS

                    * must be valid geometry
                </section>


                <section data-markdown>
                    ## How to compare the data ?

                    Want to allow little shift (gap).

                    ![](img/compare-pbm-decalage.png)
                </section>

                <section data-markdown>
                    ## How to compare the data

                    ![](img/compare-pbm-decalage-solution.png)
                </section>

                <section>
                    <div style="width:49%; float:left;">
                        <img src="img/compate-urbis-layer-2.png" style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;"><br>
                        Urbis
                    </div>
                    <div style="width:49%; float:left;">
                        <img src="img/compate-osm-layer-2.png" style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;"><br>
                        OSM
                    </div>
                    <div style="width:49%; margin:auto;">
                        <img src="img/compate-osm-layer-buffer-2.png" width=90% style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;"><br>
                        OSM-buffer
                    </div>
                </section>

                <section>
                    <h2>Building in OSM not in urbis</h2>

                    <img src="img/building-in-osm-not-in-urbis.png" width=49% style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;">
                    <img src="img/building-in-osm-not-in-urbis-2.png" width=49% style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;">
                </section>

                <section data-mardown>
                    <h2>Building in UrbIS not in OSM</h2>

                    <img src="img/urbis_not_in_osm-3.png" width=49% style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;">
                    <img src="img/urbis_not_in_osm-4.png" width=49% style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;">
                </section>

                <section>
                    <h2>Building in UrbIS on multiple OSM Building</h2>

                    <img src="img/urbis_multiple_intersect-1-A.png" width="49%" style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;">
                    <img src="img/urbis_multiple_intersect-1-B.png" width="49%" style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;">
                </section>

                <section data-markdown>
                    ## Detecting difference between the shape

                    Using the Hausdorff_distance :

                    https://en.wikipedia.org/wiki/Hausdorff_distance
                </section>

                <section>
                    <h2>Different shapes #1</h2>

                    <img src="img/diff-building-1-osm.png" width="49%" style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;">
                    <img src="img/diff-building-1-urbis.png" width="49%" style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;">
                    <img src="img/diff-building-1-both.png" width="49%" style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;">
                </section>

                <section>
                    <h2>Different shapes #2</h2>

                    <img src="img/diff-building-2-osm.png" width="49%" style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;">
                    <img src="img/diff-building-2-urbis.png" width="49%" style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;">
                    <img src="img/diff-building-2-urbis.png" width="49%" style="margin-bottom: 0; margin-top: 0; border: 2px solid #fff;">
                </section>

                <section>
                    <h2>Statistics</h2>

                    <table>
                        <tr>
                            <td>OSM buildings</td>
                            <td>250046</td>
                        </tr>
                        <tr>
                            <td>UrbIS buildings</td>
                            <td>254980</td>
                        </tr>
                        <tr>
                            <td>Invalid OSM buildings</td>
                            <td>?</td>
                        </tr>
                        <tr>
                            <td>Invalid urbIS buildings</td>
                            <td>212</td>
                        </tr>
                        <tr>
                            <td>Buildings in OSM not in UrbIS</td>
                            <td>12053</td>
                        </tr>
                        <tr>
                            <td>Buildings in UrbIS but not in OSM</td>
                            <td>17121</td>
                        </tr>
                        <tr>
                            <td>UrbIS buildings intersecting multiple OSM buildings</td>
                            <td>1148</td>
                        </tr>
                    </table>
                </section>

                <section data-markdown>
                    ## Integrating a quality assurance tools

                    * Osmose
                        * In which category ?
                        * Taking a subcategory of buildings ?
                </section>

                <section data-markdown>
                    ## All in a docker container !

                    <section>
                        <code data-trim data-noescape>
                            $ git clone https://framagit.org/marcu/osm-urbis-docker.git
                            $ docker-compose build
                            $ docker-compose up
                        </code>
                    </section>

                    https://framagit.org/marcu/osm-urbis-docker

                </section>

                <section data-markdown>
                    ## Conclusion

                    * This process can improve the OSM & UrbIS data
                      * (indicator of changes)
                      * (detection of invalid polygons)

                    * QGIS & PostGIS are a perfect couple !
                </section>

			</div>
		</div>

		<script src="lib/js/head.min.js"></script>
		<script src="js/reveal.js"></script>

		<script>
			// More info https://github.com/hakimel/reveal.js#configuration
			Reveal.initialize({
				history: true,

				// More info https://github.com/hakimel/reveal.js#dependencies
				dependencies: [
					{ src: 'plugin/markdown/marked.js' },
					{ src: 'plugin/markdown/markdown.js' },
					{ src: 'plugin/notes/notes.js', async: true },
					{ src: 'plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } }
				]
			});
		</script>
	</body>
</html>
